cd dev
chmod 666 atibm audio audio1 dsp dsp1 full jbm logibm midi \
zero mixer mixer1 inportbm null psaux sequencer
chown 0.3 atibm audio audio1 dsp dsp1 full jbm logibm midi \
zero mixer mixer1 inportbm null psaux sequencer
chmod 666 pty*
# Fix Cyclades devices:
rm -f cub* ttyC*
for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 ; do
  mknod ttyC$i c 19 $i
  mknod cub$i c 20 $i
  chmod 666 ttyC$i
  chmod 660 cub$i
  chown 0.5 ttyC$i
  chown 0.14 cub$i
done
cd ..
if [ ! -L dev/cdrom ]; then # provide a reasonable default
 ( cd dev ; ln -sf /dev/scd0 cdrom )
fi
if [ ! -L dev/modem ]; then # provide a reasonable default
 ( cd dev ; ln -sf  cua1 modem )
fi
if [ ! -L dev/mouse ]; then # provide a reasonable default
 ( cd dev ; ln -sf  cua0 mouse )
fi
( cd dev ; rm -rf core )
( cd dev ; ln -sf /proc/kcore core )
( cd dev ; rm -rf ftape )
( cd dev ; ln -sf rft0 ftape )
( cd dev ; rm -rf nftape )
( cd dev ; ln -sf nrft0 nftape )
( cd dev ; rm -rf X0R )
( cd dev ; ln -sf null X0R )
( cd dev ; rm -rf rmt0 )
( cd dev ; ln -sf st0 rmt0 )
( cd dev ; rm -rf rmt1 )
( cd dev ; ln -sf st1 rmt1 )
( cd dev ; rm -rf nrmt0 )
( cd dev ; ln -sf nst0 nrmt0 )
( cd dev ; rm -rf nrmt1 )
( cd dev ; ln -sf nst1 nrmt1 )
( cd dev ; rm -rf nfsd )
( cd dev ; ln -sf socksys nfsd )
( cd dev ; rm -rf systty )
( cd dev ; ln -sf console systty )
( cd dev ; rm -rf fd )
( cd dev ; ln -sf /proc/self/fd fd )
( cd dev ; rm -rf stdin )
( cd dev ; ln -sf fd/0 stdin )
( cd dev ; rm -rf stdout )
( cd dev ; ln -sf fd/1 stdout )
( cd dev ; rm -rf stderr )
( cd dev ; ln -sf fd/2 stderr )
